Compare commits

70 Commits

Author SHA1 Message Date
fabian 77cbe83996 Merge branch 'master' into debian 2025-11-20 21:29:42 +01:00
fabian 73f5fe2e45 fixed commandExists 2025-11-20 21:28:53 +01:00
fabian 977956cc03 Merge branch 'debian' of git.szimnau.de:fabian/sync into debian 2025-11-19 21:04:53 +01:00
fabian 9f71c9f636 Merge branch 'master' into debian 2025-11-19 21:03:09 +01:00
fabian 96ced8ff18 script for editing audible audio books post decrypt 2025-11-19 21:02:35 +01:00
fabian edf7f1a1d1 - improved map, vbr flags 2025-11-19 21:02:03 +01:00
fabian 57644311b3 pass down arguments 2025-11-19 21:00:59 +01:00
fabian 85bae25c2f added escape replacement 2025-11-19 21:00:35 +01:00
fabian a120d54b30 updated backup scripts 2025-11-19 20:59:53 +01:00
fabian 916faa68fd dont quit the tty upon failure 2025-11-19 20:59:08 +01:00
fabian c2bd45267a Revert "- removed debug ouptut"
This reverts commit 4c09537776.
2025-11-19 20:57:16 +01:00
fabian 4c09537776 - removed debug ouptut
- only execute certain code when the accompanying command exists
2025-11-19 20:54:18 +01:00
fabian d5ff6f3332 Merge branch 'master' of ssh://git.szimnau.de:222/fabian/sync 2025-11-19 20:45:03 +01:00
fabian 1622b1bd52 removed redundant file 2025-11-19 20:44:12 +01:00
fabian 334cf5c3e0 Merge branch 'debian' of git.szimnau.de:fabian/sync into debian 2025-11-19 20:35:13 +01:00
SZIMNAU c794518817 - added helper method to look up wether a command exists
- avoid calling flatpak or notify-send if not installed
2025-11-05 14:06:40 +01:00
SZIMNAU 4dad286d0a Merge branch 'debian' of https://git.szimnau.de/fabian/sync into debian 2025-10-16 13:08:33 +02:00
fabian 57e52b78a2 updated command to docker compose 2.0 2025-10-16 13:07:59 +02:00
fabian 685957301d fix npe-like-error 2025-10-16 13:07:59 +02:00
fabian bb7fa9ae79 fkin just work now... please 2025-10-16 13:07:59 +02:00
fabian 0d9f4cfb25 improved automatic updates via executeAndNotify to enable fire-and-forget 2025-10-16 13:07:59 +02:00
fabian cb88a86e71 new function to update debian based systems
improved automatic updates via executeAndNotify to enable fire-and-forget
2025-10-16 13:07:59 +02:00
fabian 96821cf0aa - commented out options not working in ancient debian version 2025-10-16 13:07:59 +02:00
fabian 2af9cc20df Revert "Revert "old raspi version of nanorc cannot handle certain settings""
This reverts commit 844fe85d6d.
2025-10-16 13:07:58 +02:00
fszimnau 48bda2be2d additions from msys64 2025-10-16 13:04:36 +02:00
fabian e31b04bdc6 Merge branch 'master' into debian 2025-08-24 15:15:02 +02:00
fabianArbeit 17528d5f51 modified config to not be work specific 2025-08-14 11:48:41 +02:00
fabianArbeit 6f70a133cf updated preferences 2025-08-14 11:32:43 +02:00
fabianArbeit f33f448a42 - updated keymap settings for linux
- copy for windows
2025-08-14 11:32:02 +02:00
fabianArbeit 28fbe6a042 new config for wezterm to behave similar to kitty (and termintator) 2025-08-14 11:22:39 +02:00
fabian 6c5ae8044e Merge branch 'debian' of git.szimnau.de:fabian/sync into debian 2025-05-03 13:07:34 +02:00
fabian 634014851c Merge branch 'master' into debian 2025-04-21 19:55:48 +02:00
fabianArbeit 89b17fbc07 Merge branch 'master' into debian 2025-04-17 11:39:46 +02:00
fabian 6162c2016a Merge branch 'master' into debian 2025-04-16 21:41:30 +02:00
fabianArbeit 82861e7685 Merge branch 'master' into debian 2025-04-15 16:56:47 +02:00
fabianArbeit 77d6ef3708 Merge branch 'master' into debian 2025-04-15 10:15:02 +02:00
fabian bdfa92f790 Merge branch 'debian' of git.szimnau.de:fabian/sync into debian 2024-09-01 14:49:26 +02:00
fabian cc3760347c fixed prints 2024-09-01 14:49:14 +02:00
fabian d3d0a4cc5d updated command to docker compose 2.0 2024-09-01 14:47:17 +02:00
fabian ae2779f48e fix npe-like-error 2024-09-01 14:46:44 +02:00
fabian 0d7c1902c1 fkin just work now... please 2024-04-01 00:17:07 +02:00
fabian d8e73040bc Merge branch 'debian' of ssh://git.szimnau.de:222/fabian/sync into debian 2024-04-01 00:14:47 +02:00
fabian bb09061c3b improved automatic updates via executeAndNotify to enable fire-and-forget 2024-03-31 23:59:16 +02:00
fabian 08fbd0beb9 new function to update debian based systems
improved automatic updates via executeAndNotify to enable fire-and-forget
2024-03-31 23:58:19 +02:00
fabian e99b430ce8 new function to update debian based systems
improved automatic updates via executeAndNotify to enable fire-and-forget
2024-03-31 23:54:05 +02:00
fabian 1952ece138 - commented out options not working in ancient debian version 2024-03-31 23:47:34 +02:00
fabian a50baf801c Revert "Revert "old raspi version of nanorc cannot handle certain settings""
This reverts commit 844fe85d6d.
2024-03-31 23:46:47 +02:00
fabian 6fb25215b5 Merge remote-tracking branch 'origin/master' into debian 2023-08-20 17:32:10 +02:00
fabian 812805ced5 Merge remote-tracking branch 'origin/master' into debian 2023-08-20 14:49:40 +02:00
fabian 632a0c6741 Merge remote-tracking branch 'origin/master' into debian 2023-07-30 09:56:57 +02:00
fabian 25065ea703 Merge remote-tracking branch 'origin/master' into debian 2023-07-06 15:39:29 +02:00
fabian fd9dba9f12 Merge remote-tracking branch 'origin/master' into debian 2023-07-06 13:00:17 +02:00
fabian 3d740f1c3b Merge branch 'master' into debian 2023-06-02 16:03:05 +02:00
fabian 647831e860 improved automatic updates via executeAndNotify to enable fire-and-forget 2023-06-02 15:57:57 +02:00
fabian 452fd7600d new function to update debian based systems 2023-05-31 10:55:35 +02:00
fabian d84d9e6933 Merge branch 'debian' of ssh://git.szimnau.de:222/fabian/sync into debian 2023-05-31 10:42:56 +02:00
fabian 12e5c3e2b1 - commented out options not working in ancient debian version 2023-05-31 10:42:41 +02:00
fabian 49335145fd Revert "Revert "old raspi version of nanorc cannot handle certain settings""
This reverts commit 844fe85d6d.
2023-05-31 10:42:41 +02:00
fabian ec5a09da64 Merge remote-tracking branch 'origin/master' into debian 2023-05-27 18:14:45 +02:00
fabian bb277234ea Merge branch 'master' into debian 2023-05-19 18:34:17 +02:00
fabian 2d4027379b Merge branch 'master' into debian 2023-05-19 15:14:21 +02:00
fabian d59183ad63 Merge branch 'master' into debian 2023-05-14 12:50:49 +02:00
fabian 2233d47782 Merge remote-tracking branch 'origin/master' into debian 2023-05-14 12:20:09 +02:00
fabian 1d3d82aa5b Merge branch 'debian' of git.szimnau.de:fabian/sync into debian 2023-05-14 12:19:05 +02:00
fabian d6cc45381e - commented out options not working in ancient debian version 2023-05-14 12:18:13 +02:00
fabian de22a1668e Merge remote-tracking branch 'origin/master' into debian 2023-05-06 15:19:37 +02:00
fabian 6c283839fb Merge remote-tracking branch 'origin/master' into debian 2023-05-06 06:10:23 +02:00
fabian 682dc5f18a Merge remote-tracking branch 'origin/master' into debian 2023-05-06 05:45:19 +02:00
fabian ea7c081bd4 Merge remote-tracking branch 'origin/master' into debian 2023-05-06 04:57:15 +02:00
fabian 5881642a40 Revert "Revert "old raspi version of nanorc cannot handle certain settings""
This reverts commit 844fe85d6d.
2023-05-06 04:11:17 +02:00
20 changed files with 212 additions and 41 deletions
+20 -4
View File
@@ -40,6 +40,11 @@ alias dirsizes='du -kh --apparent-size --max-depth=1 | sort -hr'
alias start_x11_vnc="x11vnc -many -display :0 -no6 -rfbport 5900 -auth /var/run/lightdm/root/:0 -rfbauth $HOME/.vnc/passwd" alias start_x11_vnc="x11vnc -many -display :0 -no6 -rfbport 5900 -auth /var/run/lightdm/root/:0 -rfbauth $HOME/.vnc/passwd"
commandExists() {
type $1 2>&1 > /dev/null
}
rsyncLink() { rsyncLink() {
source=$1; source=$1;
linkSource="$(realpath $source)"; linkSource="$(realpath $source)";
@@ -52,7 +57,7 @@ rsyncLink() {
updateSystem() { updateSystem() {
executeAndNotify "doUpdateSystem $1" "system updated" "system update failed" executeAndNotify "doUpdateSystem $1" "system updated" "system update failed"
} }
@@ -63,6 +68,9 @@ doUpdateSystem() {
updateFlatpak() { updateFlatpak() {
if ! $(commandExists flatpak); then
return 1;
fi
noconfirm= noconfirm=
if [[ $1 == "-y" ]]; then if [[ $1 == "-y" ]]; then
noconfirm="--assumeyes"; noconfirm="--assumeyes";
@@ -80,7 +88,7 @@ doUpdateFlatpak() {
# executes command and notifies upon failure # executes command and notifies upon failure
execute() { execute() {
dir="$(pwd)"; dir="$(pwd)";
dir=${dir##*/}; dir=${dir##*/}; # cut off previous path (/path/to/foo.txt -> foo.txt)
if [[ -n "$2" ]]; then if [[ -n "$2" ]]; then
errLog=$2; errLog=$2;
else else
@@ -119,11 +127,19 @@ finds () {
# sends a desktop-notification with an icon signalling an error # sends a desktop-notification with an icon signalling an error
notifyError () { notifyError () {
notify-send "$1" --icon=data-warning; if ! $(commandExists notify-send); then
echo "ERROR: $1";
else
notify-send "$1" --icon=data-warning;
fi
} }
# sends a desktop-notification with an icon signalling a simple information # sends a desktop-notification with an icon signalling a simple information
notifyInfo () { notifyInfo () {
notify-send "$1" --icon=preferences-desktop-notification; if ! $(commandExists notify-send); then
echo "INFO: $1";
else
notify-send "$1" --icon=preferences-desktop-notification;
fi
} }
+9 -4
View File
@@ -4,13 +4,18 @@
updatePackages() { updatePackages() {
noconfirm= noconfirm=
if [[ $1 == "-y" ]]; then if [[ $1 == "-y" ]]; then
noconfirm="--no-confirm"; noconfirm="--assume-yes"
fi fi
executeAndNotify "doUpdatePackages $noconfirm" "packages updated" "package update failed"; full=
if [[ $2 == "--full" ]]; then
full="full-"
fi
executeAndNotify "doUpdatePackages $noconfirm $full" "system updated" "system update failed";
} }
doUpdatePackages() { doUpdatePackages() {
pamac update $1; sudo apt update;
pamac remove --orphans --cascade $1; sudo apt ${2}upgrade $1;
sudo apt autoremove $1;
} }
+1
View File
@@ -2,4 +2,5 @@
# ~/.bash_profile # ~/.bash_profile
# #
[[ -f ~/.profile ]] && . ~/.profile
[[ -f ~/.bashrc ]] && . ~/.bashrc [[ -f ~/.bashrc ]] && . ~/.bashrc
+1 -1
View File
@@ -2,7 +2,7 @@
# see /usr/share/doc/bash/examples/startup-files (in the package bash-doc) # see /usr/share/doc/bash/examples/startup-files (in the package bash-doc)
# for examples # for examples
set -o pipefail # set -o pipefail
# set -u # set -u
# If not running interactively, don't do anything # If not running interactively, don't do anything
+1 -1
View File
@@ -89,7 +89,7 @@ set linenumbers
set matchbrackets "(<[{)>]}" set matchbrackets "(<[{)>]}"
## Suppress title bar and show file name and editor state at the bottom. ## Suppress title bar and show file name and editor state at the bottom.
set minibar # set minibar
## Enable mouse support, if available for your system. When enabled, ## Enable mouse support, if available for your system. When enabled,
## mouse clicks can be used to place the cursor, set the mark (with a ## mouse clicks can be used to place the cursor, set the mark (with a
+2 -2
View File
@@ -139,13 +139,13 @@ configuration {
/* me-select-entry: "MousePrimary";*/ /* me-select-entry: "MousePrimary";*/
/* me-accept-entry: "MouseDPrimary";*/ /* me-accept-entry: "MouseDPrimary";*/
/* me-accept-custom: "Control+MouseDPrimary";*/ /* me-accept-custom: "Control+MouseDPrimary";*/
timeout { /* timeout {
action: "kb-cancel"; action: "kb-cancel";
delay: 0; delay: 0;
} }
filebrowser { filebrowser {
directories-first: true; directories-first: true;
sorting-method: "name"; sorting-method: "name";
} }*/
} }
@theme "/usr/share/rofi/themes/Arc-Dark.rasi" @theme "/usr/share/rofi/themes/Arc-Dark.rasi"
+2
View File
@@ -0,0 +1,2 @@
.crlf off
.mode box
@@ -1,16 +1,15 @@
[ [
{ "keys": ["ctrl+alt+up"], "command": "select_lines", "args": {"forward": false} }, { "keys": ["ctrl+alt+up"], "command": "select_lines", "args": {"forward": false} },
{ "keys": ["ctrl+alt+down"], "command": "select_lines", "args": {"forward": true} }, { "keys": ["ctrl+alt+down"], "command": "select_lines", "args": {"forward": true} },
{ "keys": ["ctrl+tab"], "command": "next_view" }, { "keys": ["ctrl+tab"], "command": "next_view" },
{ "keys": ["ctrl+shift+tab"], "command": "prev_view" }, { "keys": ["ctrl+shift+tab"], "command": "prev_view" },
{ "keys": ["ctrl+shift+x"], "command": "run_macro_file", "args": {"file": "res://Packages/Default/Delete Line.sublime-macro"} }, { "keys": ["ctrl+shift+x"], "command": "run_macro_file", "args": {"file": "res://Packages/Default/Delete Line.sublime-macro"} },
{ "keys": ["alt+keypad_plus"], "command": "jump_forward" }, { "keys": ["alt+keypad_plus"], "command": "jump_forward" },
{ "keys": ["ctrl+b"], "command": "none" }, { "keys": ["alt+="], "command": "jump_forward" },
{ "keys": ["ctrl+keypad_enter"], "command": "run_macro_file", "args": {"file": "res://Packages/Default/Add Line.sublime-macro"} }, // { "keys": ["ctrl+b"], "command": "none" },
// { "keys": ["shift+tab"], "command": "insert", "args": {"characters": "\t"} }, { "keys": ["ctrl+keypad_enter"], "command": "run_macro_file", "args": {"file": "res://Packages/Default/Add Line.sublime-macro"} },
// { "keys": ["tab"], "command": "insert_best_completion", "args": {"default": "\t", "exact": true} } // can't unset this. fuck you. // { "keys": ["shift+tab"], "command": "insert", "args": {"characters": "\t"} },
{ "keys": ["ctrl+alt+n"], "command": "new_snippet" }, // { "keys": ["tab"], "command": "insert_best_completion", "args": {"default": "\t", "exact": true} } // can't unset this. fuck you.
{ "keys": ["ctrl+alt+f"], "command": "auto_indent" } { "keys": ["ctrl+alt+n"], "command": "new_snippet" },
// { "keys": [""], "command": "lower_case" } { "keys": ["ctrl+alt+f"], "command": "auto_indent" },
// { "keys": [""], "command": "upper_case" } ]
]
@@ -0,0 +1,15 @@
[
{ "keys": ["ctrl+alt+up"], "command": "select_lines", "args": {"forward": false} },
{ "keys": ["ctrl+alt+down"], "command": "select_lines", "args": {"forward": true} },
{ "keys": ["ctrl+tab"], "command": "next_view" },
{ "keys": ["ctrl+shift+tab"], "command": "prev_view" },
{ "keys": ["ctrl+shift+x"], "command": "run_macro_file", "args": {"file": "res://Packages/Default/Delete Line.sublime-macro"} },
{ "keys": ["alt+keypad_plus"], "command": "jump_forward" },
{ "keys": ["alt+="], "command": "jump_forward" },
// { "keys": ["ctrl+b"], "command": "none" },
{ "keys": ["ctrl+keypad_enter"], "command": "run_macro_file", "args": {"file": "res://Packages/Default/Add Line.sublime-macro"} },
// { "keys": ["shift+tab"], "command": "insert", "args": {"characters": "\t"} },
// { "keys": ["tab"], "command": "insert_best_completion", "args": {"default": "\t", "exact": true} } // can't unset this. fuck you.
{ "keys": ["ctrl+alt+n"], "command": "new_snippet" },
{ "keys": ["ctrl+alt+f"], "command": "auto_indent" },
]
@@ -1,5 +1,3 @@
// Settings in here override those in "Default/Preferences.sublime-settings",
// and are overridden in turn by syntax-specific settings.
{ {
"always_show_minimap_viewport": true, "always_show_minimap_viewport": true,
"auto_complete_commit_on_tab": true, "auto_complete_commit_on_tab": true,
@@ -8,11 +6,13 @@
"bold_folder_labels": true, "bold_folder_labels": true,
"color_scheme": "Mariana.sublime-color-scheme", "color_scheme": "Mariana.sublime-color-scheme",
"drag_text": false, "drag_text": false,
"draw_white_space": ["selection", "all_mixed"], // "draw_white_space": ["selection", "all_mixed", "all_tabs", "trailing", "isolated"],
"draw_white_space": ["all"],
"enable_tab_scrolling": false, "enable_tab_scrolling": false,
"ensure_newline_at_eof_on_save": true, "ensure_newline_at_eof_on_save": true,
"fade_fold_buttons": false, "fade_fold_buttons": false,
"fallback_encoding": "UTF-8", "fallback_encoding": "UTF-8",
"find_in_files_side_by_side": false,
"font_size": 11, "font_size": 11,
"font_face": "JetBrains Mono Regular", "font_face": "JetBrains Mono Regular",
"highlight_line": true, "highlight_line": true,
@@ -45,4 +45,5 @@
"word_wrap": true, "word_wrap": true,
"wrap_width": 120, "wrap_width": 120,
"index_files": true, "index_files": true,
"caret_style": "smooth",
} }
+117
View File
@@ -0,0 +1,117 @@
-- Pull in the wezterm API
local wezterm = require 'wezterm'
local act = wezterm.action
local mux = wezterm.mux
-- This will hold the configuration.
local config = wezterm.config_builder()
-- This is where you actually apply your config choices
-- For example, changing the color scheme:
config.color_scheme = 'AdventureTime'
-- config.font = wezterm.font 'JetBrains Mono' -- also the default
config.font = wezterm.font 'Fira Code'
config.font_size = 12.0 -- also the default
-- Spawn a git bash shell
-- config.default_prog = { 'C:/Program Files/Git/bin/bash.exe' , '--cd-to-home' }
-- config.default_prog = { 'C:/theo_dev/bin/msys64/usr/bin/bash.exe' }
-- config.default_prog = { 'C:/theo_dev/bin/msys64/msys2_shell.cmd', '-defterm', '-where', 'G:\\', '-no-start', '-ucrt64', '-use-full-path' }
config.default_prog = { 'C:/theo_dev/bin/msys64/msys2_shell.cmd', '-defterm', '-no-start', '-ucrt64', '-use-full-path' }
-- cursor shape and behaviour
config.default_cursor_style = 'BlinkingBar'
config.animation_fps = 1
config.cursor_blink_ease_in = 'Constant'
config.cursor_blink_ease_out = 'Constant'
config.enable_kitty_keyboard = true
-- window appearance
config.enable_scroll_bar = true
config.window_padding = {
left = 0,
right = 0,
top = 0,
bottom = 0,
}
config.initial_rows = 50;
wezterm.on('gui-startup', function(cmd)
local tab, pane, window = mux.spawn_window(cmd or {})
-- Create a split occupying the right 1/3 of the screen
local loading_bar_pane = pane:split {
direction = 'Bottom',
size = 0.06,
}
-- prepare command (\n possible to send command)
loading_bar_pane:send_text '. /g/zeitlaeufer/runProject.sh de.szimnau.zeitlaeufer.WorkLoadingBar'
end)
config.keys = {
-- This will create a new horizontal split and run your default program inside it
{
key = 'E',
mods = 'CTRL|SHIFT',
action = act.SplitHorizontal { domain = 'CurrentPaneDomain' },
},
-- This will create a new vertical split and run your default program inside it
{
key = 'O',
mods = 'CTRL|SHIFT',
action = act.SplitVertical { domain = 'CurrentPaneDomain' },
},
-- resize the current split
{
key = 'UpArrow',
mods = 'CTRL|SHIFT',
action = act.AdjustPaneSize { 'Up', 1 },
},
{
key = 'DownArrow',
mods = 'CTRL|SHIFT',
action = act.AdjustPaneSize { 'Down', 1 },
},
{
key = 'LeftArrow',
mods = 'CTRL|SHIFT',
action = act.AdjustPaneSize { 'Left', 1 }
},
{
key = 'RightArrow',
mods = 'CTRL|SHIFT',
action = act.AdjustPaneSize { 'Right', 1 },
},
-- move around the splits
{
key = 'UpArrow',
mods = 'ALT',
action = act.ActivatePaneDirection 'Up',
},
{
key = 'DownArrow',
mods = 'ALT',
action = act.ActivatePaneDirection 'Down',
},
{
key = 'LeftArrow',
mods = 'ALT',
action = act.ActivatePaneDirection 'Left',
},
{
key = 'RightArrow',
mods = 'ALT',
action = act.ActivatePaneDirection 'Right',
},
-- makes pane take up all available space in the tab, hiding all other panes
{
key = 'X',
mods = 'CTRL|SHIFT',
action = wezterm.action.TogglePaneZoomState,
},
}
-- and finally, return the configuration to wezterm
return config
+2 -2
View File
@@ -32,10 +32,10 @@ backupRootDirectory /etc/docker/daemon.json $BACKUP_DIR_ROOT/docker/
### upload backup ### ### upload backup ###
##################### #####################
if [[ "$1" == "--noupload" ]]; then if [[ $# > 0 && "$1" == "--noupload" ]]; then
exit 0; exit 0;
fi fi
sd rsync_backup -e "ssh -i /home/edi/.ssh/id_ed25519" --filter="P /home/docker" /sync/backup/ fabian@garrus:/citadel/backup/edi/ sd rsync_backup -e "ssh -i /home/edi/.ssh/id_ed25519" /sync/backup/ fabian@garrus:/citadel/backup/edi/
sd rsync_backup -e "ssh -i /home/edi/.ssh/id_ed25519" /home/edi/docker/ fabian@garrus:/citadel/backup/edi/home/docker/ sd rsync_backup -e "ssh -i /home/edi/.ssh/id_ed25519" /home/edi/docker/ fabian@garrus:/citadel/backup/edi/home/docker/
echo "Note: remember to keep /citadel in sync!" echo "Note: remember to keep /citadel in sync!"
+1 -1
View File
@@ -20,7 +20,7 @@ backupDirectory $HOME/.ssh/ $BACKUP_DIR_HOME/.ssh/
### upload backup ### ### upload backup ###
##################### #####################
if [[ "$1" == "--noupload" ]]; then if [[ $# > 0 && "$1" == "--noupload" ]]; then
exit 0; exit 0;
fi fi
+1 -1
View File
@@ -16,7 +16,7 @@ upDownContainers() {
continue; continue;
fi fi
cd $subdir; cd $subdir;
docker-compose $@; docker compose $@;
done done
} }
+1 -1
View File
@@ -4,4 +4,4 @@ set -euo pipefail
source /sync/scripts/dockerContainerAction.sh source /sync/scripts/dockerContainerAction.sh
# FIXME!!! implement possibility to pass down directory # FIXME!!! implement possibility to pass down directory
upDownContainers down upDownContainers down $@
+1
View File
@@ -13,6 +13,7 @@ replacements['(']='_';
replacements[')']='_'; replacements[')']='_';
replacements['[']='_'; replacements['[']='_';
replacements[']']='_'; replacements[']']='_';
replacements[',']='_';
while [[ $# > 0 ]]; do while [[ $# > 0 ]]; do
replacements["$1"]="$2"; replacements["$1"]="$2";
shift 2; shift 2;
+14
View File
@@ -0,0 +1,14 @@
#!/usr/bin/env bash
set -euo pipefail
/sync/scripts/escapeFilenames.sh . _
for d in *; do
cd "$d";
/sync/scripts/escapeFilenames.sh Chapter Kapitel
/sync/scripts/reencode_m4a.sh -map;
rm *.m4a;
mv * "../${d}_reencode";
cd ..;
rmdir "$d"
mv "${d}_reencode" "$d";
done
+1 -1
View File
@@ -4,4 +4,4 @@ set -euo pipefail
source /sync/scripts/dockerContainerAction.sh source /sync/scripts/dockerContainerAction.sh
# FIXME!!! implement possibility to pass down directory # FIXME!!! implement possibility to pass down directory
upDownContainers pull upDownContainers pull $@
+3 -3
View File
@@ -6,15 +6,15 @@ map=
vbr= vbr=
while [[ $# > 0 ]]; do while [[ $# > 0 ]]; do
case $1 in case $1 in
-map) map='-map 0:0'; shift;; -map) map='-map 0:a'; shift;;
-vbr) vbr='aac_at -profile:a aac_he -b:a 64k'; shift;; -vbr) vbr='aac -profile:a aac_he -b:a 64k'; shift;;
* ) break ;; # Anything else stops command line processing. * ) break ;; # Anything else stops command line processing.
esac esac
done done
# if no variable bitrate, just copy audio # if no variable bitrate, just copy audio
if [[ -z $vbr ]]; then if [[ -z $vbr ]]; then
map="$map copy" vbr="copy"
fi fi
# ensure existence of destination folder # ensure existence of destination folder
+1 -1
View File
@@ -4,4 +4,4 @@ set -euo pipefail
source /sync/scripts/dockerContainerAction.sh source /sync/scripts/dockerContainerAction.sh
# FIXME!!! implement possibility to pass down directory # FIXME!!! implement possibility to pass down directory
upDownContainers up -d upDownContainers up -d $@